<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="icon" type="image/png" sizes="32x32" href="./assets/images/favicon-32x32.png">
  <link rel="stylesheet" href="assets/css/style.css">
  
  <title>Frontend Mentor | Dictionary web app</title>
</head>
<body>

  <header>
    <img src="assets/images/logo.svg" alt="logo">
    <div id="switchContainer">
      <div id="switchFonts">
        <h1>Sans serif</h1>
        <img src="assets/images/icon-arrow-down.svg" alt="icon-arrow-down" onclick="fontSelector()">
        <div id="popUp">
          <ul id="fontList">
            <li id="sansSerif" onclick="fontSansSerif()">Sans Serif</li>
            <li id="serif" onclick="fontSerif()">Serif</li>
            <li id="mono" onclick="fontMono()">Mono</li>
          </ul>
        </div>
      </div>
      <div id="pipe"></div>
      <div id="switchMode">
        <label class="toggle-switch">
          <input type="checkbox" id="toggle" name="toggle">
          <span class="slider"></span>
        </label>
        <img id="moon" src="assets/images/icon-moon.svg" alt="icon-moon">
      </div>
    </div>
  </header>

  <div id="searchBar">
    <input type="text" name="dictionarySearch" id="searchInput">
    <img id="iconSearch" src="assets/images/icon-search.svg" alt="icon-search">
  </div>
  <p id="errorMessage">Whoops, can’t be empty…</p>

  <div id="noResult">
    <p id="smiley">😕</p>
    <h1 id="noDefinitions">No Definitions found</h1>
    <h4 id="excuses">Sorry pal, we couldn't find definitions for the word you were looking for. You can try the search again at later time or head to the web instead.</h4>
  </div>

  <main>
    <div id="dicTitle">
      <div id="dicTitleLeft">
        <h1></h1>
        <h2></h2>
      </div>
      <div id="dicTitleRight">
        <img src="assets/images/icon-play.svg" alt="icon-play" onclick="playAudio()">
        <audio id="audio" src=""></audio>
      </div>
    </div>

    <div class="diffPart">
      <h3>noun</h3>
      <div class="straightLine"></div>
    </div>

    <div class="meaning">
      <h4>Meaning</h4>
      <ul id="meaningsList">
      </ul>
    </div>

    <div id="synonym">
      <h4>Synonyms</h4>
      <!-- <li>electronic Keyboard</li> -->
    </div>

    <div class="diffPart">
      <h3>verb</h3>
      <div class="straightLine"></div>
    </div>

    <div class="meaning" id="verb">
      <h4>Meaning</h4>
      <ul>
      </ul>
    </div>

    <div class="straightLine"></div>

    <div id="footer">
        <h4>Source</h4>
        <div id="wiki">
          <a href="" class="wikiLinkUrl"><p>https://en.wiktionary.org/wiki/keyboard</p></a>
          <a href="" class="wikiLinkUrl"><img src="assets/images/icon-new-window.svg" alt="icon-new-window"></a>
        </div>
    </div>
  </main>
  <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
  <script src="assets/javascript/jquery.js"></script>
  <script src="assets/javascript/app.js"></script>
</body>
</html>